WinShopAPI docs
ReferenceDocumentsExpeditionWrite offs

Get write-off defaults

Returns the instance's configured defaults applied when a write-off is created. Requires `Permissions.WriteOffs.View`.

GET
/api/documents/expedition/write-offs/base-config

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Response Body

application/json
  1. response
customerId?integer
Formatint32
paymentTypeId?integer
Formatint32
showOnlyActiveProducts?boolean
warehouseId?integer
Formatint32
writeOffNeedsConfirmation?boolean
curl -X GET 'https://<your-instance>/api/documents/expedition/write-offs/base-config' \  -H 'Authorization: Bearer <access-token>'
{  "customerId": 0,  "paymentTypeId": 0,  "showOnlyActiveProducts": true,  "warehouseId": 0,  "writeOffNeedsConfirmation": true}